Bug 237109 - [NEW PORTS] www/p5-Dancer-Plugin-Swagger and needed modules
Summary: [NEW PORTS] www/p5-Dancer-Plugin-Swagger and needed modules
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks: 237111
  Show dependency treegraph
 
Reported: 2019-04-08 14:40 UTC by geoffroy desvernay
Modified: 2019-04-18 15:06 UTC (History)
1 user (show)

See Also:


Attachments
svn add devel/p5-MooX-Singleton (1.72 KB, patch)
2019-04-08 14:40 UTC, geoffroy desvernay
no flags Details | Diff
svn add devel/p5-MooseX-MungeHas (1.98 KB, patch)
2019-04-08 14:41 UTC, geoffroy desvernay
no flags Details | Diff
svn add devel/p5-File-ShareDir-Tarball (2.31 KB, patch)
2019-04-08 14:42 UTC, geoffroy desvernay
no flags Details | Diff
svn add www/p5-Dancer-Plugin-Swagger (2.41 KB, patch)
2019-04-08 14:42 UTC, geoffroy desvernay
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geoffroy desvernay 2019-04-08 14:40:55 UTC
Created attachment 203479 [details]
svn add devel/p5-MooX-Singleton

Some perl modules needed for net-mgmt/netdisco update

Poudriere + production-tested
Comment 1 geoffroy desvernay 2019-04-08 14:41:36 UTC
Created attachment 203480 [details]
svn add devel/p5-MooseX-MungeHas
Comment 2 geoffroy desvernay 2019-04-08 14:42:11 UTC
Created attachment 203481 [details]
svn add devel/p5-File-ShareDir-Tarball
Comment 3 geoffroy desvernay 2019-04-08 14:42:52 UTC
Created attachment 203483 [details]
svn add www/p5-Dancer-Plugin-Swagger
Comment 4 Kai Knoblich freebsd_committer 2019-04-09 10:50:58 UTC
Hi Geoffroy,

thank you for all the patches. Three of them are now in the pre-commit review and once they get approved from one of my mentors they're ready to land into the ports tree:

https://reviews.freebsd.org/D19857
https://reviews.freebsd.org/D19858
https://reviews.freebsd.org/D19859

After that, the same procedure applies for the remaining port www/p5-Dancer-Plugin-Swagger.

P.S.: You already contributed a lot in the past so I assume that it's ok for you that I changed the address from the MAINTAINER field to your address listed here at Bugzilla?
Comment 5 geoffroy desvernay 2019-04-09 16:19:05 UTC
Of course, and thank you !
Comment 6 commit-hook freebsd_committer 2019-04-15 08:59:56 UTC
A commit references this bug:

Author: kai
Date: Mon Apr 15 08:59:46 UTC 2019
New revision: 499006
URL: https://svnweb.freebsd.org/changeset/ports/499006

Log:
  New port: devel/p5-File-ShareDir-Tarball

  If the shared files of a distribution are contained in a tarball (see
  Dist::Zilla::Plugin::ShareDir::Tarball for why you would want to do that)
  automatically extract the archive in a temporary directory and return the
  path to that directory.

  If called for a regular distribution without a bundle file
  (shared-files.tar.gz), it'll return the original shared dir. In other words,
  from the consumer point of view, it'll behave just like File::ShareDir.

  WWW: https://metacpan.org/pod/File::ShareDir::Tarball

  PR:		237109
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  Reviewed by:	tcberner (mentor)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19858

Changes:
  head/devel/Makefile
  head/devel/p5-File-ShareDir-Tarball/
  head/devel/p5-File-ShareDir-Tarball/Makefile
  head/devel/p5-File-ShareDir-Tarball/distinfo
  head/devel/p5-File-ShareDir-Tarball/pkg-descr
Comment 7 commit-hook freebsd_committer 2019-04-15 09:08:04 UTC
A commit references this bug:

Author: kai
Date: Mon Apr 15 09:07:20 UTC 2019
New revision: 499007
URL: https://svnweb.freebsd.org/changeset/ports/499007

Log:
  New port: devel/p5-MooX-Singleton

  Role::Tiny role that provides "instance" method turning your object into
  singleton.

  NOTE: Subsequent calls to "instance" will return the singleton instance
  ignoring any arguments. This is different from MooseX::Singleton which does
  not allow any arguments.

  WWW: https://metacpan.org/pod/MooX::Singleton

  PR:		237109
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19857

Changes:
  head/devel/Makefile
  head/devel/p5-MooX-Singleton/
  head/devel/p5-MooX-Singleton/Makefile
  head/devel/p5-MooX-Singleton/distinfo
  head/devel/p5-MooX-Singleton/pkg-descr
Comment 8 commit-hook freebsd_committer 2019-04-15 09:14:11 UTC
A commit references this bug:

Author: kai
Date: Mon Apr 15 09:13:41 UTC 2019
New revision: 499008
URL: https://svnweb.freebsd.org/changeset/ports/499008

Log:
  New port: devel/p5-MooseX-MungeHas

  MooseX::MungeHas alters the behaviour of the attributes of your Moo, Moose
  or Mouse based class.

  It manages to support all three because it doesn't attempt to do anything
  smart with metathingies; it simply installs a wrapper for has that munges
  the attribute specification hash before passing it on to the original has
  function.

  WWW: https://metacpan.org/pod/MooseX::MungeHas

  PR:		237109
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  Reviewed by:	tcberner (mentor)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19859

Changes:
  head/devel/Makefile
  head/devel/p5-MooseX-MungeHas/
  head/devel/p5-MooseX-MungeHas/Makefile
  head/devel/p5-MooseX-MungeHas/distinfo
  head/devel/p5-MooseX-MungeHas/pkg-descr
Comment 9 Kai Knoblich freebsd_committer 2019-04-16 18:20:42 UTC
Three patches are already committed and there's only one to go:

https://reviews.freebsd.org/D19919

Once I get the approval from one of my mentors, www/p5-Dancer-Plugin-Swagger is ready to land.

P.S.: I fixed the COMMENT for you as it was identical to the one from www/p5-Dancer-Plugin-Feed. ;)
Comment 10 commit-hook freebsd_committer 2019-04-18 15:03:19 UTC
A commit references this bug:

Author: kai
Date: Thu Apr 18 15:02:24 UTC 2019
New revision: 499271
URL: https://svnweb.freebsd.org/changeset/ports/499271

Log:
  New port: www/p5-Dancer-Plugin-Swagger

  This plugin provides tools to create and access a Swagger specification file
  for a Dancer REST web service.

  Overview of Dancer::Plugin::Swagger's features:

  * Can create a /swagger.json REST specification file.
  * Can auto-discover routes and add them to the swagger file.
  * Can provide a Swagger UI version of the swagger documentation.

  WWW: https://metacpan.org/pod/Dancer::Plugin::Swagger

  PR:		237109
  Submitted by:	Geoffroy Desvernay <dgeo@centrale-marseille.fr>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19919

Changes:
  head/www/Makefile
  head/www/p5-Dancer-Plugin-Swagger/
  head/www/p5-Dancer-Plugin-Swagger/Makefile
  head/www/p5-Dancer-Plugin-Swagger/distinfo
  head/www/p5-Dancer-Plugin-Swagger/pkg-descr
  head/www/p5-Dancer-Plugin-Swagger/pkg-plist
Comment 11 Kai Knoblich freebsd_committer 2019-04-18 15:06:23 UTC
All patches have been committed, thank you for all these contributions! See you in bug #237111 then. :)